<!DOCTYPE html>
<html lang="en">
	<head>
        {% load staticfiles %}
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0 user-scalable=no">
	<title>Covid19 Ministry</title>

	<!--CSS	-->
	<link rel="stylesheet" href="{% static '/css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static '/css/font-awesome.min.css' %}">
	<link rel="stylesheet" href="{% static '/css/main.css' %}">
        {% block head %}
            <style>
                .intl-tel-input{
                    width: 100%;
                }
            </style>

        {% endblock %}

	</head>
<body>

	<header>
		<div class="og_nw">
			<div class="container">
			<div class="og_dc">
			<div class="og_lg">

{#                <a href="/">#}
{#                    <img class="og_m_n" src="{% static '/image/ItunesArtwork@2x.png' %}" alt="logo" style="width: 5%">#}
{#                    <img class="og_d_n" src="{% static '/images/mobile_logo.png' %}" alt="logo">#}
{#                </a>#}
			</div>
			<a href="#nav" class="menu-button" role="button" aria-label="Open Navigation" data-swipe-open>
				<div class="icon-menu">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</div>
			</a>
			<nav class="swipe-nav" id="nav" data-swipe-drawer data-swipe-open-class="swipe-nav--open">
				<a href="#0" class="swipe-nav__overlay" role="button" aria-label="Close Navigation" tabindex="-1" data-swipe-overlay>&nbsp;</a>
				<div class="swipe-nav__panel" data-swipe-panel>
					<div class="og_mu">
                    </div>
				</div>
			</nav>
			</div>
			</div>
		</div>
	</header><!--header-->



	{% block heading %}

{% endblock %}
<main class="og_wrap">

		<section class="og_s0 og_bga og_pt30">
            <div>
                <h3 style="    margin-left: 40%; color: #76b752;font-family: 'Times New Roman, Times, serif';">Create Ministry</h3>
            </div>
			<div class="container">
				<div class="row">
                    <div class="col-md-12">
                        <div class="og_cb">
                            <form action="{% url 'admin_panel:add_ministry' %}" id="hospital_form" method="post"
                                  enctype="multipart/form-data">
                                {% csrf_token %}
                                <input type="hidden" name="role" value="2">
                                <div class="form-group">
                                    <h5 style="margin-bottom: 2%; font-size: 17px; margin-top: 2%;font-family: 'Times New Roman, Times, serif';">Name :</h5>
                                    <input type="text" class="form-control" style="width: 100%;" name="name" placeholder="Name" required>
                                </div>
                                <div class="form-group country_code"
                                     style="margin-left: 0px; margin-top: 0px;    margin-bottom: 18px;">
                                    <h5 style="margin-bottom: 2%; font-size: 17px; margin-top: 2%;font-family: 'Times New Roman, Times, serif';">Phone Number :</h5>
                                    <input type="hidden" name="country_code" id="country_code" value="+91">
                                    <input id="phone" class="form-control change number_place"
                                           name="phone_number" placeholder=""
                                           maxlength="10" required type="text"
                                           style="width: 100%; padding-left: 90px !important; outline: none; border-bottom: 1px solid grey;box-shadow: none;"
                                           value="">

                                    {% comment %}<i class="fa fa-phone" aria-hidden="true"></i>{% endcomment %}
                                </div>
                                <div class="form-group">
                                    <h5 style="margin-bottom: 2%; font-size: 17px; margin-top: 2%;font-family: 'Times New Roman, Times, serif';">Name of Ministry :</h5>
                                    <input type="text" class="form-control" style="width: 100%;" name="ministry_of_health" placeholder="Name of Ministry" required>
                                </div>
                                <div class="form-group">
                                    <h5 style="margin-bottom: 2%; font-size: 17px; margin-top: 2%;font-family: 'Times New Roman, Times, serif';">City :</h5>
                                    <input type="text" class="form-control" style="width: 100%;" name="city_name" placeholder="City" required>
                                </div>
                                <div class="form-group">
                                    <h5 style="margin-bottom: 2%; font-size: 17px; margin-top: 2%;font-family: 'Times New Roman, Times, serif';">Password :</h5>
                                    <input type="password" class="form-control" style="width: 100%;" name="password" placeholder="Password" required>
                                </div>
                                <div class="form-group og_bt_a og_btc">
                                    <input type="submit" value="Create" id="" class="hospital_register_form">
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
</main>

{% block content %}

{% endblock %}

	<footer>
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-lg-4">
                    <div class="og_fs_a">
{#                        <img src="{% static 'images/logo.png' %}" alt="">#}
{#                        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever</p>#}
                    </div>
                </div>
                <div class="col-md-3">

                </div>
                <div class="col-md-3 col-lg-5">

                </div>
            </div>
        </div>

	</footer> <!--footer-->




	<!-- JS -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
	<script src="{% static '/js/popper.min.js' %}"></script>
	<script src="{% static '/js/bootstrap.min.js' %}"></script>
     <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCdCLqyYMyxxBh2X0DS2HoM8AzN3B284Gc&amp;libraries=places"></script>
{#	<script  src="{% static '/js/script.js' %}"></script>#}
    <script src="{% static 'js/intlTelInput.min.js' %}"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/11.0.9/css/intlTelInput.css" rel="stylesheet"
          media="screen">
<script>
    $(document).ready(function () {
        var telInput2 = $("#phone");
        var reset2 = function () {
            telInput2.removeClass("error");
        };

        telInput2.intlTelInput({

            allowExtensions: true,
            formatOnDisplay: true,
            autoFormat: true,
            autoHideDialCode: true,
            autoPlaceholder: false,
            defaultCountry: "auto",
            ipinfoToken: "yolo",

            nationalMode: false,
            numberType: "MOBILE",
            //onlyCountries: ['us', 'gb', 'ch', 'ca', 'do'],
            preferredCountries: ['sa', 'ae', 'qa', 'om', 'bh', 'kw', 'ma'],
            preventInvalidNumbers: true,
            separateDialCode: true,

            initialCountry: 'auto',
            geoIpLookup: function (callback) {
                callback('in');
            },
            utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/11.0.9/js/utils.js"
        });

        telInput2.blur(function () {
            reset2();
            if ($.trim(telInput2.val())) {
                if (telInput2.intlTelInput("isValidNumber")) {
                    errorMsg.css({"display": "none"});
                    errorMsg.addClass("Valid");
                } else {
                    alert("Please Enter valid Number.");
                    return false;
                }
            }
        });

        $(".flag-container").on('click', function () {
            var c_code = $('.selected-dial-code').text();
            $("#country_code").val(c_code);
        })
    })
</script>
 {% block ScriptBlock %}

 {% endblock %}
</body>
</html>